org.eclipse.wst.jsdt.js.cli.core

## Class CLICommand

- java.lang.Object
- - org.eclipse.wst.jsdt.js.cli.core.CLICommand

    public class CLICommand
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CLICommand(java.lang.String toolName, java.lang.String commandName, java.lang.String subCommand, java.lang.String[] options)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCommandName()`
`java.lang.String[]` `getOptions()`
`java.lang.String` `getSubCommand()`
`java.lang.String` `getToolName()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CLICommand

    public CLICommand(java.lang.String toolName,
                      java.lang.String commandName,
                      java.lang.String subCommand,
                      java.lang.String[] options)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getToolName

    public java.lang.String getToolName()

#### getCommandName

    public java.lang.String getCommandName()

#### getSubCommand

    public java.lang.String getSubCommand()

#### getOptions

    public java.lang.String[] getOptions()